API documentation

BlindVault API

BlindVault REST API for account, library, conversation, signing, and agent workflows. Protected operations document their accepted authentication schemes. Request and response models are generated from controller DTOs; errors use Problem Details.

Version: 1.0.0Servers: 3Endpoints: 163

Endpoint details

Showing 163 endpoints
GET/api/agents

List Devices

REST operation provided by AgentController. The generated parameter and DTO schemas below describe its inputs and successful response.

listDevices
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
[
  {
    "id": "string",
    "agentIdentifier": "string",
    "deviceId": "string",
    "devicePublicKey": {
      "kty": "string",
      "n": "string",
      "e": "string",
      "alg": "string",
      "use": "string",
      "kid": "string"
    },
    "avatar": "string",
    "status": "string",
    "pairedAt": "2026-09-04T00:00:00Z",
    "pluginInventoryJson": "string",
    "latestCommandId": "string",
    "latestCommandType": "string",
    "latestCommandStatus": "string",
    "latestCommandResultJson": "string",
    "latestCommandCreatedAt": "2026-09-04T00:00:00Z",
    "latestCommandCompletedAt": "2026-09-04T00:00:00Z",
    "connected": true
  }
]
DELETE/api/agents/{deviceId}

Revoke Device

REST operation provided by AgentController. The generated parameter and DTO schemas below describe its inputs and successful response.

revokeDevice
Input JSON
No JSON request body for this operation.
Output JSON
Status 204 - The operation completed successfully; no response body is returned.
null
POST/api/agents/{deviceId}/commands

Create Command

REST operation provided by AgentController. The generated parameter and DTO schemas below describe its inputs and successful response.

createCommand
Input JSON (application/json)
{
  "type": "string",
  "payload": {
    "key": {}
  }
}
Output JSON
Status 200 - OK
{
  "id": "string",
  "agentDeviceId": "string",
  "type": "string",
  "payloadJson": "string",
  "status": "string",
  "progressJson": "string",
  "resultJson": "string",
  "createdAt": "2026-09-04T00:00:00Z",
  "sentAt": "2026-09-04T00:00:00Z",
  "completedAt": "2026-09-04T00:00:00Z"
}
GET/api/agents/{deviceId}/commands/{commandId}

Get Command

REST operation provided by AgentController. The generated parameter and DTO schemas below describe its inputs and successful response.

getCommand
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "id": "string",
  "agentDeviceId": "string",
  "type": "string",
  "payloadJson": "string",
  "status": "string",
  "progressJson": "string",
  "resultJson": "string",
  "createdAt": "2026-09-04T00:00:00Z",
  "sentAt": "2026-09-04T00:00:00Z",
  "completedAt": "2026-09-04T00:00:00Z"
}
POST/api/agents/{deviceId}/key-grants

Upsert Key Grant

REST operation provided by AgentController. The generated parameter and DTO schemas below describe its inputs and successful response.

upsertKeyGrant
Input JSON (application/json)
{
  "resourceType": "string",
  "resourceId": "string",
  "encryptedKey": "string"
}
Output JSON
Status 204 - The operation completed successfully; no response body is returned.
null
POST/api/agents/pairing/confirm

Confirm Pairing

REST operation provided by AgentPairingController. The generated parameter and DTO schemas below describe its inputs and successful response.

confirmPairing
Input JSON (application/json)
{
  "code": "string"
}
Output JSON
Status 204 - The operation completed successfully; no response body is returned.
null
POST/api/agents/pairing/request

Request Pairing

REST operation provided by AgentPairingController. The generated parameter and DTO schemas below describe its inputs and successful response.

requestPairing
Input JSON (application/json)
{
  "agentIdentifier": "string",
  "deviceId": "string",
  "devicePublicKey": "string",
  "avatar": "string"
}
Output JSON
Status 200 - OK
{
  "code": "string",
  "deviceId": "string",
  "expiresAt": "2026-09-04T00:00:00Z"
}
GET/api/agents/pairing/status/{code}

Get Status

REST operation provided by AgentPairingController. The generated parameter and DTO schemas below describe its inputs and successful response.

getStatus
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "status": "string",
  "accessToken": "string",
  "message": "string"
}
GET/v1/app-config

Get Config

REST operation provided by AppConfigController. The generated parameter and DTO schemas below describe its inputs and successful response.

getConfig
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "agentEnabled": true,
  "jurisdiction": "US",
  "allowedSignatureLevels": [
    "SES"
  ],
  "trustProvider": "SWISSCOM",
  "stripeLookupKeys": {
    "key": {
      "key": {
        "key": "string"
      }
    }
  },
  "conversationStripeLookupKeys": {
    "key": {
      "key": {
        "key": "string"
      }
    }
  },
  "collectionsStripeLookupKeys": {
    "key": {
      "key": {
        "key": "string"
      }
    }
  },
  "conversationQuotas": {
    "freeThreadsPerMonth": 0,
    "starterThreadsPerMonth": 0,
    "businessThreadsPerMonth": 0,
    "freeAttachmentsPerMessage": 0,
    "starterAttachmentsPerMessage": 0,
    "businessAttachmentsPerMessage": 0,
    "freeMaxUploadBytes": 0,
    "starterMaxUploadBytes": 0,
    "businessMaxUploadBytes": 0,
    "freeStorageBytes": 0,
    "starterStorageBytes": 0,
    "businessStorageBytes": 0
  },
  "collectionQuotas": {
    "freeCollectionsPerMonth": 0,
    "starterCollectionsPerMonth": 0,
    "businessCollectionsPerMonth": 0,
    "freeMaxUploadBytes": 0,
    "starterMaxUploadBytes": 0,
    "businessMaxUploadBytes": 0,
    "freeStorageBytes": 0,
    "starterStorageBytes": 0,
    "businessStorageBytes": 0
  }
}
POST/v1/auth/login

Login

REST operation provided by AuthController. The generated parameter and DTO schemas below describe its inputs and successful response.

login
Input JSON (application/json)
{
  "email": "string",
  "password": "string"
}
Output JSON
Status 200 - OK
{
  "accessToken": "string",
  "tokenType": "string",
  "expiresIn": 0
}
POST/v1/auth/register

Register User

REST operation provided by AuthController. The generated parameter and DTO schemas below describe its inputs and successful response.

registerUser
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "id": "string",
  "organisationName": "string",
  "firstName": "string",
  "lastName": "string",
  "email": "string",
  "mobileNumber": "string",
  "billingPlan": "FREE",
  "signBillingPlan": "FREE",
  "conversationBillingPlan": "FREE",
  "collectionsBillingPlan": "FREE",
  "avatar": "string",
  "presenceStatus": "ACTIVE",
  "status": "AVAILABLE",
  "encryptedPrivateKey": "string",
  "organisationCredits": 0,
  "testUser": true,
  "renewsAt": "2026-09-04T00:00:00Z",
  "signRenewsAt": "2026-09-04T00:00:00Z",
  "conversationRenewsAt": "2026-09-04T00:00:00Z",
  "collectionsRenewsAt": "2026-09-04T00:00:00Z",
  "pendingDowngradeAt": "2026-09-04T00:00:00Z",
  "pendingDowngradePlan": "FREE",
  "signPendingDowngradeAt": "2026-09-04T00:00:00Z",
  "signPendingDowngradePlan": "FREE",
  "conversationPendingDowngradeAt": "2026-09-04T00:00:00Z",
  "conversationPendingDowngradePlan": "FREE",
  "collectionsPendingDowngradeAt": "2026-09-04T00:00:00Z",
  "collectionsPendingDowngradePlan": "FREE",
  "signPendingAddonReductionAt": "2026-09-04T00:00:00Z",
  "signPendingAddonReductions": {
    "key": 0
  },
  "hasBillingCustomer": true,
  "billingCurrency": "string"
}
GET/v1/collections

List Collections

REST operation provided by LibraryController. The generated parameter and DTO schemas below describe its inputs and successful response.

listCollections
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
[
  {
    "id": "string",
    "publicCode": "string",
    "name": "string",
    "title": "string",
    "description": "string",
    "ownerUserId": "string",
    "ownerEmail": "string",
    "canWrite": true,
    "canManageShares": true,
    "archived": true,
    "shareCount": 0,
    "fileCount": 0,
    "totalBytes": 0,
    "createdAt": "2026-09-04T00:00:00Z",
    "updatedAt": "2026-09-04T00:00:00Z"
  }
]
POST/v1/collections

Create Collection

REST operation provided by LibraryController. The generated parameter and DTO schemas below describe its inputs and successful response.

createCollection
Input JSON (application/json)
{
  "name": "string",
  "description": "string",
  "encryptedCollectionKey": "string",
  "ownerUserId": "string"
}
Output JSON
Status 200 - OK
{
  "id": "string",
  "publicCode": "string",
  "name": "string",
  "title": "string",
  "description": "string",
  "ownerUserId": "string",
  "ownerEmail": "string",
  "canWrite": true,
  "canManageShares": true,
  "archived": true,
  "encryptedCollectionKey": "string",
  "shares": [
    {
      "id": "string",
      "recipientType": "string",
      "recipientUserId": "string",
      "recipientEmail": "string",
      "recipientDeviceId": "string",
      "recipientLabel": "string",
      "permission": "string",
      "createdByUserId": "string",
      "createdAt": "2026-09-04T00:00:00Z",
      "invitationStatus": "string"
    }
  ],
  "files": [
    {
      "id": "string",
      "publicCode": "string",
      "name": "string",
      "encryptedFileId": "string",
      "encryptedFile": "string",
      "filename": "string",
      "encryptedFilename": "string",
      "iv": "string",
      "contentType": "string",
      "uploadedByUserId": "string",
      "createdAt": "2026-09-04T00:00:00Z",
      "sizeBytes": 0
    }
  ],
  "createdAt": "2026-09-04T00:00:00Z",
  "updatedAt": "2026-09-04T00:00:00Z"
}
GET/v1/collections/{collectionId}

Get Collection

REST operation provided by LibraryController. The generated parameter and DTO schemas below describe its inputs and successful response.

getCollection
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "id": "string",
  "publicCode": "string",
  "name": "string",
  "title": "string",
  "description": "string",
  "ownerUserId": "string",
  "ownerEmail": "string",
  "canWrite": true,
  "canManageShares": true,
  "archived": true,
  "encryptedCollectionKey": "string",
  "shares": [
    {
      "id": "string",
      "recipientType": "string",
      "recipientUserId": "string",
      "recipientEmail": "string",
      "recipientDeviceId": "string",
      "recipientLabel": "string",
      "permission": "string",
      "createdByUserId": "string",
      "createdAt": "2026-09-04T00:00:00Z",
      "invitationStatus": "string"
    }
  ],
  "files": [
    {
      "id": "string",
      "publicCode": "string",
      "name": "string",
      "encryptedFileId": "string",
      "encryptedFile": "string",
      "filename": "string",
      "encryptedFilename": "string",
      "iv": "string",
      "contentType": "string",
      "uploadedByUserId": "string",
      "createdAt": "2026-09-04T00:00:00Z",
      "sizeBytes": 0
    }
  ],
  "createdAt": "2026-09-04T00:00:00Z",
  "updatedAt": "2026-09-04T00:00:00Z"
}
PATCH/v1/collections/{collectionId}

Update Collection

REST operation provided by LibraryController. The generated parameter and DTO schemas below describe its inputs and successful response.

updateCollection
Input JSON (application/json)
{
  "name": "string",
  "description": "string",
  "encryptedCollectionKey": "string"
}
Output JSON
Status 200 - OK
{
  "id": "string",
  "publicCode": "string",
  "name": "string",
  "title": "string",
  "description": "string",
  "ownerUserId": "string",
  "ownerEmail": "string",
  "canWrite": true,
  "canManageShares": true,
  "archived": true,
  "encryptedCollectionKey": "string",
  "shares": [
    {
      "id": "string",
      "recipientType": "string",
      "recipientUserId": "string",
      "recipientEmail": "string",
      "recipientDeviceId": "string",
      "recipientLabel": "string",
      "permission": "string",
      "createdByUserId": "string",
      "createdAt": "2026-09-04T00:00:00Z",
      "invitationStatus": "string"
    }
  ],
  "files": [
    {
      "id": "string",
      "publicCode": "string",
      "name": "string",
      "encryptedFileId": "string",
      "encryptedFile": "string",
      "filename": "string",
      "encryptedFilename": "string",
      "iv": "string",
      "contentType": "string",
      "uploadedByUserId": "string",
      "createdAt": "2026-09-04T00:00:00Z",
      "sizeBytes": 0
    }
  ],
  "createdAt": "2026-09-04T00:00:00Z",
  "updatedAt": "2026-09-04T00:00:00Z"
}
DELETE/v1/collections/{collectionId}

Delete Collection

REST operation provided by LibraryController. The generated parameter and DTO schemas below describe its inputs and successful response.

deleteCollection
Input JSON
No JSON request body for this operation.
Output JSON
Status 204 - The operation completed successfully; no response body is returned.
null
POST/v1/collections/{collectionId}/archive

Archive Collection

REST operation provided by LibraryController. The generated parameter and DTO schemas below describe its inputs and successful response.

archiveCollection
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "id": "string",
  "publicCode": "string",
  "name": "string",
  "title": "string",
  "description": "string",
  "ownerUserId": "string",
  "ownerEmail": "string",
  "canWrite": true,
  "canManageShares": true,
  "archived": true,
  "encryptedCollectionKey": "string",
  "shares": [
    {
      "id": "string",
      "recipientType": "string",
      "recipientUserId": "string",
      "recipientEmail": "string",
      "recipientDeviceId": "string",
      "recipientLabel": "string",
      "permission": "string",
      "createdByUserId": "string",
      "createdAt": "2026-09-04T00:00:00Z",
      "invitationStatus": "string"
    }
  ],
  "files": [
    {
      "id": "string",
      "publicCode": "string",
      "name": "string",
      "encryptedFileId": "string",
      "encryptedFile": "string",
      "filename": "string",
      "encryptedFilename": "string",
      "iv": "string",
      "contentType": "string",
      "uploadedByUserId": "string",
      "createdAt": "2026-09-04T00:00:00Z",
      "sizeBytes": 0
    }
  ],
  "createdAt": "2026-09-04T00:00:00Z",
  "updatedAt": "2026-09-04T00:00:00Z"
}
DELETE/v1/collections/{collectionId}/archive

Unarchive Collection

REST operation provided by LibraryController. The generated parameter and DTO schemas below describe its inputs and successful response.

unarchiveCollection
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "id": "string",
  "publicCode": "string",
  "name": "string",
  "title": "string",
  "description": "string",
  "ownerUserId": "string",
  "ownerEmail": "string",
  "canWrite": true,
  "canManageShares": true,
  "archived": true,
  "encryptedCollectionKey": "string",
  "shares": [
    {
      "id": "string",
      "recipientType": "string",
      "recipientUserId": "string",
      "recipientEmail": "string",
      "recipientDeviceId": "string",
      "recipientLabel": "string",
      "permission": "string",
      "createdByUserId": "string",
      "createdAt": "2026-09-04T00:00:00Z",
      "invitationStatus": "string"
    }
  ],
  "files": [
    {
      "id": "string",
      "publicCode": "string",
      "name": "string",
      "encryptedFileId": "string",
      "encryptedFile": "string",
      "filename": "string",
      "encryptedFilename": "string",
      "iv": "string",
      "contentType": "string",
      "uploadedByUserId": "string",
      "createdAt": "2026-09-04T00:00:00Z",
      "sizeBytes": 0
    }
  ],
  "createdAt": "2026-09-04T00:00:00Z",
  "updatedAt": "2026-09-04T00:00:00Z"
}
POST/v1/collections/{collectionId}/files

Upload File

REST operation provided by LibraryController. The generated parameter and DTO schemas below describe its inputs and successful response.

uploadFile
Input JSON (multipart/form-data)
{
  "file": "binary-data",
  "encryptedFilename": "string",
  "iv": "string",
  "contentType": "string",
  "filename": "string"
}
Output JSON
Status 200 - OK
{
  "id": "string",
  "publicCode": "string",
  "name": "string",
  "title": "string",
  "description": "string",
  "ownerUserId": "string",
  "ownerEmail": "string",
  "canWrite": true,
  "canManageShares": true,
  "archived": true,
  "encryptedCollectionKey": "string",
  "shares": [
    {
      "id": "string",
      "recipientType": "string",
      "recipientUserId": "string",
      "recipientEmail": "string",
      "recipientDeviceId": "string",
      "recipientLabel": "string",
      "permission": "string",
      "createdByUserId": "string",
      "createdAt": "2026-09-04T00:00:00Z",
      "invitationStatus": "string"
    }
  ],
  "files": [
    {
      "id": "string",
      "publicCode": "string",
      "name": "string",
      "encryptedFileId": "string",
      "encryptedFile": "string",
      "filename": "string",
      "encryptedFilename": "string",
      "iv": "string",
      "contentType": "string",
      "uploadedByUserId": "string",
      "createdAt": "2026-09-04T00:00:00Z",
      "sizeBytes": 0
    }
  ],
  "createdAt": "2026-09-04T00:00:00Z",
  "updatedAt": "2026-09-04T00:00:00Z"
}
DELETE/v1/collections/{collectionId}/files/{fileId}

Delete File

REST operation provided by LibraryController. The generated parameter and DTO schemas below describe its inputs and successful response.

deleteFile
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "id": "string",
  "publicCode": "string",
  "name": "string",
  "title": "string",
  "description": "string",
  "ownerUserId": "string",
  "ownerEmail": "string",
  "canWrite": true,
  "canManageShares": true,
  "archived": true,
  "encryptedCollectionKey": "string",
  "shares": [
    {
      "id": "string",
      "recipientType": "string",
      "recipientUserId": "string",
      "recipientEmail": "string",
      "recipientDeviceId": "string",
      "recipientLabel": "string",
      "permission": "string",
      "createdByUserId": "string",
      "createdAt": "2026-09-04T00:00:00Z",
      "invitationStatus": "string"
    }
  ],
  "files": [
    {
      "id": "string",
      "publicCode": "string",
      "name": "string",
      "encryptedFileId": "string",
      "encryptedFile": "string",
      "filename": "string",
      "encryptedFilename": "string",
      "iv": "string",
      "contentType": "string",
      "uploadedByUserId": "string",
      "createdAt": "2026-09-04T00:00:00Z",
      "sizeBytes": 0
    }
  ],
  "createdAt": "2026-09-04T00:00:00Z",
  "updatedAt": "2026-09-04T00:00:00Z"
}
POST/v1/collections/{collectionId}/shares

Add Share

REST operation provided by LibraryController. The generated parameter and DTO schemas below describe its inputs and successful response.

addShare
Input JSON (application/json)
{
  "recipientType": "USER",
  "recipientUserId": "string",
  "recipientEmail": "string",
  "recipientDeviceId": "string",
  "permission": "READ",
  "encryptedCollectionKey": "string"
}
Output JSON
Status 200 - OK
{
  "id": "string",
  "publicCode": "string",
  "name": "string",
  "title": "string",
  "description": "string",
  "ownerUserId": "string",
  "ownerEmail": "string",
  "canWrite": true,
  "canManageShares": true,
  "archived": true,
  "encryptedCollectionKey": "string",
  "shares": [
    {
      "id": "string",
      "recipientType": "string",
      "recipientUserId": "string",
      "recipientEmail": "string",
      "recipientDeviceId": "string",
      "recipientLabel": "string",
      "permission": "string",
      "createdByUserId": "string",
      "createdAt": "2026-09-04T00:00:00Z",
      "invitationStatus": "string"
    }
  ],
  "files": [
    {
      "id": "string",
      "publicCode": "string",
      "name": "string",
      "encryptedFileId": "string",
      "encryptedFile": "string",
      "filename": "string",
      "encryptedFilename": "string",
      "iv": "string",
      "contentType": "string",
      "uploadedByUserId": "string",
      "createdAt": "2026-09-04T00:00:00Z",
      "sizeBytes": 0
    }
  ],
  "createdAt": "2026-09-04T00:00:00Z",
  "updatedAt": "2026-09-04T00:00:00Z"
}
DELETE/v1/collections/{collectionId}/shares/{shareId}

Remove Share

REST operation provided by LibraryController. The generated parameter and DTO schemas below describe its inputs and successful response.

removeShare
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "id": "string",
  "publicCode": "string",
  "name": "string",
  "title": "string",
  "description": "string",
  "ownerUserId": "string",
  "ownerEmail": "string",
  "canWrite": true,
  "canManageShares": true,
  "archived": true,
  "encryptedCollectionKey": "string",
  "shares": [
    {
      "id": "string",
      "recipientType": "string",
      "recipientUserId": "string",
      "recipientEmail": "string",
      "recipientDeviceId": "string",
      "recipientLabel": "string",
      "permission": "string",
      "createdByUserId": "string",
      "createdAt": "2026-09-04T00:00:00Z",
      "invitationStatus": "string"
    }
  ],
  "files": [
    {
      "id": "string",
      "publicCode": "string",
      "name": "string",
      "encryptedFileId": "string",
      "encryptedFile": "string",
      "filename": "string",
      "encryptedFilename": "string",
      "iv": "string",
      "contentType": "string",
      "uploadedByUserId": "string",
      "createdAt": "2026-09-04T00:00:00Z",
      "sizeBytes": 0
    }
  ],
  "createdAt": "2026-09-04T00:00:00Z",
  "updatedAt": "2026-09-04T00:00:00Z"
}
GET/v1/collections/webhooks

List Webhooks

REST operation provided by CollectionsWebhookController. The generated parameter and DTO schemas below describe its inputs and successful response.

listWebhooks_2
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
[
  {
    "id": "string",
    "ownerUserId": "string",
    "app": "sign",
    "url": "string",
    "enabled": true,
    "events": [
      "signing.process.created"
    ],
    "createdAt": "2026-09-04T00:00:00Z",
    "updatedAt": "2026-09-04T00:00:00Z"
  }
]
POST/v1/collections/webhooks

Create Webhook

REST operation provided by CollectionsWebhookController. The generated parameter and DTO schemas below describe its inputs and successful response.

createWebhook_2
Input JSON (application/json)
{
  "ownerUserId": "string",
  "url": "string",
  "events": [
    "signing.process.created"
  ],
  "enabled": true
}
Output JSON
Status 200 - OK
{
  "endpoint": {
    "id": "string",
    "ownerUserId": "string",
    "app": "sign",
    "url": "string",
    "enabled": true,
    "events": [
      "signing.process.created"
    ],
    "createdAt": "2026-09-04T00:00:00Z",
    "updatedAt": "2026-09-04T00:00:00Z"
  },
  "secret": "string"
}
GET/v1/collections/webhooks/{id}

Get Webhook

REST operation provided by CollectionsWebhookController. The generated parameter and DTO schemas below describe its inputs and successful response.

getWebhook_2
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "id": "string",
  "ownerUserId": "string",
  "app": "sign",
  "url": "string",
  "enabled": true,
  "events": [
    "signing.process.created"
  ],
  "createdAt": "2026-09-04T00:00:00Z",
  "updatedAt": "2026-09-04T00:00:00Z"
}
PUT/v1/collections/webhooks/{id}

Update Webhook

REST operation provided by CollectionsWebhookController. The generated parameter and DTO schemas below describe its inputs and successful response.

updateWebhook_2
Input JSON (application/json)
{
  "url": "string",
  "events": [
    "signing.process.created"
  ],
  "enabled": true,
  "rotateSecret": true
}
Output JSON
Status 200 - OK
{
  "endpoint": {
    "id": "string",
    "ownerUserId": "string",
    "app": "sign",
    "url": "string",
    "enabled": true,
    "events": [
      "signing.process.created"
    ],
    "createdAt": "2026-09-04T00:00:00Z",
    "updatedAt": "2026-09-04T00:00:00Z"
  },
  "secret": "string"
}
DELETE/v1/collections/webhooks/{id}

Delete Webhook

REST operation provided by CollectionsWebhookController. The generated parameter and DTO schemas below describe its inputs and successful response.

deleteWebhook_2
Input JSON
No JSON request body for this operation.
Output JSON
Status 204 - The operation completed successfully; no response body is returned.
null
POST/v1/collections/webhooks/{id}/test

Test Webhook

REST operation provided by CollectionsWebhookController. The generated parameter and DTO schemas below describe its inputs and successful response.

testWebhook_2
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "eventId": "string",
  "delivered": true,
  "statusCode": 0
}
POST/v1/contact/sales

Contact Sales

REST operation provided by ContactController. The generated parameter and DTO schemas below describe its inputs and successful response.

contactSales
Input JSON (application/json)
{
  "name": "string",
  "email": "string",
  "company": "string",
  "subject": "string",
  "message": "string",
  "captchaToken": "string"
}
Output JSON
Status 200 - OK
{
  "message": "string"
}
GET/v1/conversations

List Threads

REST operation provided by MessageController. The generated parameter and DTO schemas below describe its inputs and successful response.

listThreads
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
[
  {
    "id": "string",
    "publicCode": "string",
    "name": "string",
    "title": "string",
    "description": "string",
    "conversationKind": "DIRECT_MESSAGE",
    "systemManaged": true,
    "archived": true,
    "channelRef": {
      "id": "string",
      "publicCode": "string",
      "name": "string",
      "title": "string"
    },
    "ownerUserId": "string",
    "creatorUserId": "string",
    "participantEmails": [
      "string"
    ],
    "pendingParticipantCount": 0,
    "createdAt": "2026-09-04T00:00:00Z",
    "updatedAt": "2026-09-04T00:00:00Z",
    "lastMessageAt": "2026-09-04T00:00:00Z",
    "messageCount": 0
  }
]
GET/v1/conversations/channel

List Channels

REST operation provided by MessageController. The generated parameter and DTO schemas below describe its inputs and successful response.

listChannels
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
[
  {
    "id": "string",
    "publicCode": "string",
    "name": "string",
    "title": "string",
    "description": "string",
    "conversationKind": "DIRECT_MESSAGE",
    "systemManaged": true,
    "archived": true,
    "channelRef": {
      "id": "string",
      "publicCode": "string",
      "name": "string",
      "title": "string"
    },
    "ownerUserId": "string",
    "creatorUserId": "string",
    "participantEmails": [
      "string"
    ],
    "pendingParticipantCount": 0,
    "createdAt": "2026-09-04T00:00:00Z",
    "updatedAt": "2026-09-04T00:00:00Z",
    "lastMessageAt": "2026-09-04T00:00:00Z",
    "messageCount": 0
  }
]
POST/v1/conversations/channel

Create Channel

REST operation provided by MessageController. The generated parameter and DTO schemas below describe its inputs and successful response.

createChannel
Input JSON (application/json)
{
  "name": "string",
  "description": "string",
  "ownerUserId": "string",
  "conversationKind": "DIRECT_MESSAGE",
  "participantEmails": [
    "string"
  ],
  "participantKeys": [
    {
      "email": "string",
      "encryptedThreadKey": "string"
    }
  ],
  "encryptedBody": "string",
  "iv": "string",
  "mentions": [
    {
      "userId": "string",
      "email": "string",
      "displayNameAtSend": "string",
      "token": "string"
    }
  ],
  "attachments": [
    {
      "id": "string",
      "encryptedFileId": "string",
      "encryptedFilename": "string",
      "iv": "string",
      "contentType": "string",
      "sizeBytes": 0
    }
  ],
  "agentDeviceId": "string",
  "agentEncryptedThreadKey": "string"
}
Output JSON
Status 200 - OK
{
  "id": "string",
  "publicCode": "string",
  "name": "string",
  "title": "string",
  "description": "string",
  "conversationKind": "DIRECT_MESSAGE",
  "systemManaged": true,
  "archived": true,
  "channelRef": {
    "id": "string",
    "publicCode": "string",
    "name": "string",
    "title": "string"
  },
  "ownerUserId": "string",
  "creatorUserId": "string",
  "canSyncKeys": true,
  "participantEmails": [
    "string"
  ],
  "pendingParticipantEmails": [
    "string"
  ],
  "encryptedThreadKey": "string",
  "createdAt": "2026-09-04T00:00:00Z",
  "updatedAt": "2026-09-04T00:00:00Z",
  "lastMessageAt": "2026-09-04T00:00:00Z",
  "agentReplyStatus": "string",
  "agentReplyStatusDetail": "string",
  "messageCount": 0,
  "messages": [
    {
      "id": "string",
      "threadId": "string",
      "senderUserId": "string",
      "senderEmail": "string",
      "encryptedBody": "string",
      "iv": "string",
      "replyToMessageId": "string",
      "deletedAt": "2026-09-04T00:00:00Z",
      "deletedByUserId": "string",
      "mentions": [
        {
          "userId": "string",
          "email": "string",
          "displayNameAtSend": "string",
          "token": "string"
        }
      ],
      "reactions": [
        {
          "emoji": "string",
          "reactorUserId": "string",
          "reactorEmail": "string",
          "createdAt": "2026-09-04T00:00:00Z"
        }
      ],
      "attachments": [
        {
          "id": "string",
          "encryptedFileId": "string",
          "encryptedFile": "string",
          "encryptedFilename": "string",
          "iv": "string",
          "contentType": "string",
          "uploadedByUserId": "string",
          "createdAt": "2026-09-04T00:00:00Z"
        }
      ],
      "readByUserIds": [
        "string"
      ],
      "createdAt": "2026-09-04T00:00:00Z",
      "updatedAt": "2026-09-04T00:00:00Z",
      "edited": true
    }
  ]
}
GET/v1/conversations/channel/{channelId}

Get Channel

REST operation provided by MessageController. The generated parameter and DTO schemas below describe its inputs and successful response.

getChannel
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "id": "string",
  "publicCode": "string",
  "name": "string",
  "title": "string",
  "description": "string",
  "conversationKind": "DIRECT_MESSAGE",
  "systemManaged": true,
  "archived": true,
  "channelRef": {
    "id": "string",
    "publicCode": "string",
    "name": "string",
    "title": "string"
  },
  "ownerUserId": "string",
  "creatorUserId": "string",
  "canSyncKeys": true,
  "participantEmails": [
    "string"
  ],
  "pendingParticipantEmails": [
    "string"
  ],
  "encryptedThreadKey": "string",
  "createdAt": "2026-09-04T00:00:00Z",
  "updatedAt": "2026-09-04T00:00:00Z",
  "lastMessageAt": "2026-09-04T00:00:00Z",
  "agentReplyStatus": "string",
  "agentReplyStatusDetail": "string",
  "messageCount": 0,
  "messages": [
    {
      "id": "string",
      "threadId": "string",
      "senderUserId": "string",
      "senderEmail": "string",
      "encryptedBody": "string",
      "iv": "string",
      "replyToMessageId": "string",
      "deletedAt": "2026-09-04T00:00:00Z",
      "deletedByUserId": "string",
      "mentions": [
        {
          "userId": "string",
          "email": "string",
          "displayNameAtSend": "string",
          "token": "string"
        }
      ],
      "reactions": [
        {
          "emoji": "string",
          "reactorUserId": "string",
          "reactorEmail": "string",
          "createdAt": "2026-09-04T00:00:00Z"
        }
      ],
      "attachments": [
        {
          "id": "string",
          "encryptedFileId": "string",
          "encryptedFile": "string",
          "encryptedFilename": "string",
          "iv": "string",
          "contentType": "string",
          "uploadedByUserId": "string",
          "createdAt": "2026-09-04T00:00:00Z"
        }
      ],
      "readByUserIds": [
        "string"
      ],
      "createdAt": "2026-09-04T00:00:00Z",
      "updatedAt": "2026-09-04T00:00:00Z",
      "edited": true
    }
  ]
}
POST/v1/conversations/channel/{channelId}

Add Message To Channel

REST operation provided by MessageController. The generated parameter and DTO schemas below describe its inputs and successful response.

addMessageToChannel
Input JSON (application/json)
{
  "encryptedBody": "string",
  "iv": "string",
  "replyToMessageId": "string",
  "mentions": [
    {
      "userId": "string",
      "email": "string",
      "displayNameAtSend": "string",
      "token": "string"
    }
  ],
  "attachments": [
    {
      "id": "string",
      "encryptedFileId": "string",
      "encryptedFilename": "string",
      "iv": "string",
      "contentType": "string",
      "sizeBytes": 0
    }
  ],
  "clientMessageId": "string"
}
Output JSON
Status 200 - OK
{
  "id": "string",
  "threadId": "string",
  "senderUserId": "string",
  "senderEmail": "string",
  "encryptedBody": "string",
  "iv": "string",
  "replyToMessageId": "string",
  "deletedAt": "2026-09-04T00:00:00Z",
  "deletedByUserId": "string",
  "mentions": [
    {
      "userId": "string",
      "email": "string",
      "displayNameAtSend": "string",
      "token": "string"
    }
  ],
  "reactions": [
    {
      "emoji": "string",
      "reactorUserId": "string",
      "reactorEmail": "string",
      "createdAt": "2026-09-04T00:00:00Z"
    }
  ],
  "attachments": [
    {
      "id": "string",
      "encryptedFileId": "string",
      "encryptedFile": "string",
      "encryptedFilename": "string",
      "iv": "string",
      "contentType": "string",
      "uploadedByUserId": "string",
      "createdAt": "2026-09-04T00:00:00Z"
    }
  ],
  "readByUserIds": [
    "string"
  ],
  "createdAt": "2026-09-04T00:00:00Z",
  "updatedAt": "2026-09-04T00:00:00Z",
  "edited": true
}
PUT/v1/conversations/channel/{channelId}

Update Channel

REST operation provided by MessageController. The generated parameter and DTO schemas below describe its inputs and successful response.

updateChannel
Input JSON (application/json)
{
  "name": "string",
  "description": "string",
  "participantEmails": [
    "string"
  ]
}
Output JSON
Status 200 - OK
{
  "id": "string",
  "publicCode": "string",
  "name": "string",
  "title": "string",
  "description": "string",
  "conversationKind": "DIRECT_MESSAGE",
  "systemManaged": true,
  "archived": true,
  "channelRef": {
    "id": "string",
    "publicCode": "string",
    "name": "string",
    "title": "string"
  },
  "ownerUserId": "string",
  "creatorUserId": "string",
  "canSyncKeys": true,
  "participantEmails": [
    "string"
  ],
  "pendingParticipantEmails": [
    "string"
  ],
  "encryptedThreadKey": "string",
  "createdAt": "2026-09-04T00:00:00Z",
  "updatedAt": "2026-09-04T00:00:00Z",
  "lastMessageAt": "2026-09-04T00:00:00Z",
  "agentReplyStatus": "string",
  "agentReplyStatusDetail": "string",
  "messageCount": 0,
  "messages": [
    {
      "id": "string",
      "threadId": "string",
      "senderUserId": "string",
      "senderEmail": "string",
      "encryptedBody": "string",
      "iv": "string",
      "replyToMessageId": "string",
      "deletedAt": "2026-09-04T00:00:00Z",
      "deletedByUserId": "string",
      "mentions": [
        {
          "userId": "string",
          "email": "string",
          "displayNameAtSend": "string",
          "token": "string"
        }
      ],
      "reactions": [
        {
          "emoji": "string",
          "reactorUserId": "string",
          "reactorEmail": "string",
          "createdAt": "2026-09-04T00:00:00Z"
        }
      ],
      "attachments": [
        {
          "id": "string",
          "encryptedFileId": "string",
          "encryptedFile": "string",
          "encryptedFilename": "string",
          "iv": "string",
          "contentType": "string",
          "uploadedByUserId": "string",
          "createdAt": "2026-09-04T00:00:00Z"
        }
      ],
      "readByUserIds": [
        "string"
      ],
      "createdAt": "2026-09-04T00:00:00Z",
      "updatedAt": "2026-09-04T00:00:00Z",
      "edited": true
    }
  ]
}
DELETE/v1/conversations/channel/{channelId}

Delete Channel

REST operation provided by MessageController. The generated parameter and DTO schemas below describe its inputs and successful response.

deleteChannel
Input JSON
No JSON request body for this operation.
Output JSON
Status 204 - The operation completed successfully; no response body is returned.
null
POST/v1/conversations/channel/{channelId}/agent/cancel

Cancel Agent Reply

REST operation provided by MessageController. The generated parameter and DTO schemas below describe its inputs and successful response.

cancelAgentReply
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "id": "string",
  "publicCode": "string",
  "name": "string",
  "title": "string",
  "description": "string",
  "conversationKind": "DIRECT_MESSAGE",
  "systemManaged": true,
  "archived": true,
  "channelRef": {
    "id": "string",
    "publicCode": "string",
    "name": "string",
    "title": "string"
  },
  "ownerUserId": "string",
  "creatorUserId": "string",
  "canSyncKeys": true,
  "participantEmails": [
    "string"
  ],
  "pendingParticipantEmails": [
    "string"
  ],
  "encryptedThreadKey": "string",
  "createdAt": "2026-09-04T00:00:00Z",
  "updatedAt": "2026-09-04T00:00:00Z",
  "lastMessageAt": "2026-09-04T00:00:00Z",
  "agentReplyStatus": "string",
  "agentReplyStatusDetail": "string",
  "messageCount": 0,
  "messages": [
    {
      "id": "string",
      "threadId": "string",
      "senderUserId": "string",
      "senderEmail": "string",
      "encryptedBody": "string",
      "iv": "string",
      "replyToMessageId": "string",
      "deletedAt": "2026-09-04T00:00:00Z",
      "deletedByUserId": "string",
      "mentions": [
        {
          "userId": "string",
          "email": "string",
          "displayNameAtSend": "string",
          "token": "string"
        }
      ],
      "reactions": [
        {
          "emoji": "string",
          "reactorUserId": "string",
          "reactorEmail": "string",
          "createdAt": "2026-09-04T00:00:00Z"
        }
      ],
      "attachments": [
        {
          "id": "string",
          "encryptedFileId": "string",
          "encryptedFile": "string",
          "encryptedFilename": "string",
          "iv": "string",
          "contentType": "string",
          "uploadedByUserId": "string",
          "createdAt": "2026-09-04T00:00:00Z"
        }
      ],
      "readByUserIds": [
        "string"
      ],
      "createdAt": "2026-09-04T00:00:00Z",
      "updatedAt": "2026-09-04T00:00:00Z",
      "edited": true
    }
  ]
}
POST/v1/conversations/channel/{channelId}/archive

Archive Channel

REST operation provided by MessageController. The generated parameter and DTO schemas below describe its inputs and successful response.

archiveChannel
Input JSON
No JSON request body for this operation.
Output JSON
Status 204 - The operation completed successfully; no response body is returned.
null
DELETE/v1/conversations/channel/{channelId}/archive

Unarchive Channel

REST operation provided by MessageController. The generated parameter and DTO schemas below describe its inputs and successful response.

unarchiveChannel
Input JSON
No JSON request body for this operation.
Output JSON
Status 204 - The operation completed successfully; no response body is returned.
null
POST/v1/conversations/channel/{channelId}/keys

Sync Channel Keys

REST operation provided by MessageController. The generated parameter and DTO schemas below describe its inputs and successful response.

syncChannelKeys
Input JSON (application/json)
{
  "participantKeys": [
    {
      "email": "string",
      "encryptedThreadKey": "string"
    }
  ]
}
Output JSON
Status 200 - OK
{
  "pendingCount": 0,
  "uploadedCount": 0,
  "remainingPendingCount": 0
}
DELETE/v1/conversations/channel/{channelId}/leave

Leave Channel

REST operation provided by MessageController. The generated parameter and DTO schemas below describe its inputs and successful response.

leaveChannel
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "id": "string",
  "publicCode": "string",
  "name": "string",
  "title": "string",
  "description": "string",
  "conversationKind": "DIRECT_MESSAGE",
  "systemManaged": true,
  "archived": true,
  "channelRef": {
    "id": "string",
    "publicCode": "string",
    "name": "string",
    "title": "string"
  },
  "ownerUserId": "string",
  "creatorUserId": "string",
  "canSyncKeys": true,
  "participantEmails": [
    "string"
  ],
  "pendingParticipantEmails": [
    "string"
  ],
  "encryptedThreadKey": "string",
  "createdAt": "2026-09-04T00:00:00Z",
  "updatedAt": "2026-09-04T00:00:00Z",
  "lastMessageAt": "2026-09-04T00:00:00Z",
  "agentReplyStatus": "string",
  "agentReplyStatusDetail": "string",
  "messageCount": 0,
  "messages": [
    {
      "id": "string",
      "threadId": "string",
      "senderUserId": "string",
      "senderEmail": "string",
      "encryptedBody": "string",
      "iv": "string",
      "replyToMessageId": "string",
      "deletedAt": "2026-09-04T00:00:00Z",
      "deletedByUserId": "string",
      "mentions": [
        {
          "userId": "string",
          "email": "string",
          "displayNameAtSend": "string",
          "token": "string"
        }
      ],
      "reactions": [
        {
          "emoji": "string",
          "reactorUserId": "string",
          "reactorEmail": "string",
          "createdAt": "2026-09-04T00:00:00Z"
        }
      ],
      "attachments": [
        {
          "id": "string",
          "encryptedFileId": "string",
          "encryptedFile": "string",
          "encryptedFilename": "string",
          "iv": "string",
          "contentType": "string",
          "uploadedByUserId": "string",
          "createdAt": "2026-09-04T00:00:00Z"
        }
      ],
      "readByUserIds": [
        "string"
      ],
      "createdAt": "2026-09-04T00:00:00Z",
      "updatedAt": "2026-09-04T00:00:00Z",
      "edited": true
    }
  ]
}
PUT/v1/conversations/channel/{channelId}/message/{messageId}

Update Channel Message

REST operation provided by MessageController. The generated parameter and DTO schemas below describe its inputs and successful response.

updateChannelMessage
Input JSON (application/json)
{
  "encryptedBody": "string",
  "iv": "string",
  "mentions": [
    {
      "userId": "string",
      "email": "string",
      "displayNameAtSend": "string",
      "token": "string"
    }
  ],
  "attachments": [
    {
      "id": "string",
      "encryptedFileId": "string",
      "encryptedFilename": "string",
      "iv": "string",
      "contentType": "string",
      "sizeBytes": 0
    }
  ]
}
Output JSON
Status 200 - OK
{
  "id": "string",
  "threadId": "string",
  "senderUserId": "string",
  "senderEmail": "string",
  "encryptedBody": "string",
  "iv": "string",
  "replyToMessageId": "string",
  "deletedAt": "2026-09-04T00:00:00Z",
  "deletedByUserId": "string",
  "mentions": [
    {
      "userId": "string",
      "email": "string",
      "displayNameAtSend": "string",
      "token": "string"
    }
  ],
  "reactions": [
    {
      "emoji": "string",
      "reactorUserId": "string",
      "reactorEmail": "string",
      "createdAt": "2026-09-04T00:00:00Z"
    }
  ],
  "attachments": [
    {
      "id": "string",
      "encryptedFileId": "string",
      "encryptedFile": "string",
      "encryptedFilename": "string",
      "iv": "string",
      "contentType": "string",
      "uploadedByUserId": "string",
      "createdAt": "2026-09-04T00:00:00Z"
    }
  ],
  "readByUserIds": [
    "string"
  ],
  "createdAt": "2026-09-04T00:00:00Z",
  "updatedAt": "2026-09-04T00:00:00Z",
  "edited": true
}
DELETE/v1/conversations/channel/{channelId}/message/{messageId}

Delete Channel Message

REST operation provided by MessageController. The generated parameter and DTO schemas below describe its inputs and successful response.

deleteChannelMessage
Input JSON
No JSON request body for this operation.
Output JSON
Status 204 - The operation completed successfully; no response body is returned.
null
POST/v1/conversations/channel/{channelId}/message/{messageId}/reaction

Toggle Channel Message Reaction

REST operation provided by MessageController. The generated parameter and DTO schemas below describe its inputs and successful response.

toggleChannelMessageReaction
Input JSON (application/json)
{
  "emoji": "string"
}
Output JSON
Status 200 - OK
{
  "id": "string",
  "threadId": "string",
  "senderUserId": "string",
  "senderEmail": "string",
  "encryptedBody": "string",
  "iv": "string",
  "replyToMessageId": "string",
  "deletedAt": "2026-09-04T00:00:00Z",
  "deletedByUserId": "string",
  "mentions": [
    {
      "userId": "string",
      "email": "string",
      "displayNameAtSend": "string",
      "token": "string"
    }
  ],
  "reactions": [
    {
      "emoji": "string",
      "reactorUserId": "string",
      "reactorEmail": "string",
      "createdAt": "2026-09-04T00:00:00Z"
    }
  ],
  "attachments": [
    {
      "id": "string",
      "encryptedFileId": "string",
      "encryptedFile": "string",
      "encryptedFilename": "string",
      "iv": "string",
      "contentType": "string",
      "uploadedByUserId": "string",
      "createdAt": "2026-09-04T00:00:00Z"
    }
  ],
  "readByUserIds": [
    "string"
  ],
  "createdAt": "2026-09-04T00:00:00Z",
  "updatedAt": "2026-09-04T00:00:00Z",
  "edited": true
}
POST/v1/conversations/channel/{channelId}/muted

Mute Channel

REST operation provided by MessageController. The generated parameter and DTO schemas below describe its inputs and successful response.

muteChannel
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "mutedThreadIds": [
    "string"
  ],
  "updatedAt": "2026-09-04T00:00:00Z"
}
DELETE/v1/conversations/channel/{channelId}/muted

Unmute Channel

REST operation provided by MessageController. The generated parameter and DTO schemas below describe its inputs and successful response.

unmuteChannel
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "mutedThreadIds": [
    "string"
  ],
  "updatedAt": "2026-09-04T00:00:00Z"
}
GET/v1/conversations/channel/{channelId}/private-note

Get Private Note

REST operation provided by MessageController. The generated parameter and DTO schemas below describe its inputs and successful response.

getPrivateNote
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "encryptedBody": "string",
  "iv": "string",
  "encryptedNoteKey": "string",
  "updatedAt": "2026-09-04T00:00:00Z"
}
PUT/v1/conversations/channel/{channelId}/private-note

Upsert Private Note

REST operation provided by MessageController. The generated parameter and DTO schemas below describe its inputs and successful response.

upsertPrivateNote
Input JSON (application/json)
{
  "encryptedBody": "string",
  "iv": "string",
  "encryptedNoteKey": "string"
}
Output JSON
Status 200 - OK
{
  "encryptedBody": "string",
  "iv": "string",
  "encryptedNoteKey": "string",
  "updatedAt": "2026-09-04T00:00:00Z"
}
DELETE/v1/conversations/channel/{channelId}/private-note

Delete Private Note

REST operation provided by MessageController. The generated parameter and DTO schemas below describe its inputs and successful response.

deletePrivateNote
Input JSON
No JSON request body for this operation.
Output JSON
Status 204 - The operation completed successfully; no response body is returned.
null
GET/v1/conversations/channel/{channelId}/threads

List Channel Threads

REST operation provided by MessageController. The generated parameter and DTO schemas below describe its inputs and successful response.

listChannelThreads
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
[
  {
    "id": "string",
    "publicCode": "string",
    "name": "string",
    "title": "string",
    "description": "string",
    "conversationKind": "DIRECT_MESSAGE",
    "systemManaged": true,
    "archived": true,
    "channelRef": {
      "id": "string",
      "publicCode": "string",
      "name": "string",
      "title": "string"
    },
    "ownerUserId": "string",
    "creatorUserId": "string",
    "participantEmails": [
      "string"
    ],
    "pendingParticipantCount": 0,
    "createdAt": "2026-09-04T00:00:00Z",
    "updatedAt": "2026-09-04T00:00:00Z",
    "lastMessageAt": "2026-09-04T00:00:00Z",
    "messageCount": 0
  }
]
GET/v1/conversations/preferences

Get Preferences

REST operation provided by MessageController. The generated parameter and DTO schemas below describe its inputs and successful response.

getPreferences
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "mutedThreadIds": [
    "string"
  ],
  "updatedAt": "2026-09-04T00:00:00Z"
}
GET/v1/conversations/webhooks

List Webhooks

REST operation provided by ConversationWebhookController. The generated parameter and DTO schemas below describe its inputs and successful response.

listWebhooks_1
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
[
  {
    "id": "string",
    "ownerUserId": "string",
    "app": "sign",
    "url": "string",
    "enabled": true,
    "events": [
      "signing.process.created"
    ],
    "createdAt": "2026-09-04T00:00:00Z",
    "updatedAt": "2026-09-04T00:00:00Z"
  }
]
POST/v1/conversations/webhooks

Create Webhook

REST operation provided by ConversationWebhookController. The generated parameter and DTO schemas below describe its inputs and successful response.

createWebhook_1
Input JSON (application/json)
{
  "ownerUserId": "string",
  "url": "string",
  "events": [
    "signing.process.created"
  ],
  "enabled": true
}
Output JSON
Status 200 - OK
{
  "endpoint": {
    "id": "string",
    "ownerUserId": "string",
    "app": "sign",
    "url": "string",
    "enabled": true,
    "events": [
      "signing.process.created"
    ],
    "createdAt": "2026-09-04T00:00:00Z",
    "updatedAt": "2026-09-04T00:00:00Z"
  },
  "secret": "string"
}
GET/v1/conversations/webhooks/{id}

Get Webhook

REST operation provided by ConversationWebhookController. The generated parameter and DTO schemas below describe its inputs and successful response.

getWebhook_1
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "id": "string",
  "ownerUserId": "string",
  "app": "sign",
  "url": "string",
  "enabled": true,
  "events": [
    "signing.process.created"
  ],
  "createdAt": "2026-09-04T00:00:00Z",
  "updatedAt": "2026-09-04T00:00:00Z"
}
PUT/v1/conversations/webhooks/{id}

Update Webhook

REST operation provided by ConversationWebhookController. The generated parameter and DTO schemas below describe its inputs and successful response.

updateWebhook_1
Input JSON (application/json)
{
  "url": "string",
  "events": [
    "signing.process.created"
  ],
  "enabled": true,
  "rotateSecret": true
}
Output JSON
Status 200 - OK
{
  "endpoint": {
    "id": "string",
    "ownerUserId": "string",
    "app": "sign",
    "url": "string",
    "enabled": true,
    "events": [
      "signing.process.created"
    ],
    "createdAt": "2026-09-04T00:00:00Z",
    "updatedAt": "2026-09-04T00:00:00Z"
  },
  "secret": "string"
}
DELETE/v1/conversations/webhooks/{id}

Delete Webhook

REST operation provided by ConversationWebhookController. The generated parameter and DTO schemas below describe its inputs and successful response.

deleteWebhook_1
Input JSON
No JSON request body for this operation.
Output JSON
Status 204 - The operation completed successfully; no response body is returned.
null
POST/v1/conversations/webhooks/{id}/test

Test Webhook

REST operation provided by ConversationWebhookController. The generated parameter and DTO schemas below describe its inputs and successful response.

testWebhook_1
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "eventId": "string",
  "delivered": true,
  "statusCode": 0
}
GET/v1/files/encrypted

Download Encrypted File By Query

REST operation provided by EncryptedFileController. The generated parameter and DTO schemas below describe its inputs and successful response.

downloadEncryptedFileByQuery
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
"string"
POST/v1/files/encrypted

Upload Encrypted File

REST operation provided by EncryptedFileController. The generated parameter and DTO schemas below describe its inputs and successful response.

uploadEncryptedFile
Input JSON (multipart/form-data)
{
  "file": "binary-data",
  "ownerType": "string",
  "ownerId": "string",
  "documentId": "string",
  "filename": "string"
}
Output JSON
Status 200 - OK
{
  "encryptedFileId": "string",
  "sizeBytes": 0
}
GET/v1/files/encrypted/{fileId}

Download Encrypted File

REST operation provided by EncryptedFileController. The generated parameter and DTO schemas below describe its inputs and successful response.

downloadEncryptedFile
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
"string"
GET/v1/library/files

Search Files

REST operation provided by LibraryController. The generated parameter and DTO schemas below describe its inputs and successful response.

searchFiles
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "query": "string",
  "count": 0,
  "matches": [
    {
      "collectionId": "string",
      "collectionPublicCode": "string",
      "collectionName": "string",
      "collectionTitle": "string",
      "fileId": "string",
      "filePublicCode": "string",
      "name": "string",
      "filename": "string",
      "encryptedFileId": "string",
      "encryptedFile": "string",
      "encryptedFilename": "string",
      "encryptedCollectionKey": "string",
      "iv": "string",
      "contentType": "string",
      "uploadedByUserId": "string",
      "createdAt": "2026-09-04T00:00:00Z",
      "sizeBytes": 0
    }
  ]
}
POST/v1/public-assistant/chat

Chat

REST operation provided by PublicAssistantController. The generated parameter and DTO schemas below describe its inputs and successful response.

chat
Input JSON (application/json)
{
  "question": "string",
  "locale": "string"
}
Output JSON
Status 200 - OK
{
  "mode": "string",
  "answer": "string",
  "refused": true,
  "citations": [
    {
      "name": "string",
      "title": "string",
      "source": "string",
      "excerpt": "string"
    }
  ],
  "links": [
    {
      "label": "string",
      "href": "string"
    }
  ]
}
GET/v1/search/global

Search

REST operation provided by GlobalSearchController. The generated parameter and DTO schemas below describe its inputs and successful response.

search
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "requests": [
    {
      "id": "string",
      "name": "string"
    }
  ],
  "channels": [
    {
      "id": "string",
      "publicCode": "string",
      "name": "string",
      "title": "string",
      "participantEmails": [
        "string"
      ]
    }
  ],
  "files": [
    {
      "id": "string",
      "publicCode": "string",
      "name": "string",
      "filename": "string",
      "encryptedFilename": "string",
      "collectionId": "string",
      "collectionName": "string"
    }
  ],
  "people": [
    {
      "id": "string",
      "firstName": "string",
      "lastName": "string",
      "email": "string"
    }
  ]
}
GET/v1/sign/audit/process/{processId}

Get Audit Events For Process

REST operation provided by AuditController. The generated parameter and DTO schemas below describe its inputs and successful response.

getAuditEventsForProcess
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
[
  {
    "id": "string",
    "signingProcessId": "string",
    "eventType": "string",
    "category": "LEGAL",
    "createdAt": "2026-09-04T00:00:00Z",
    "actorUserId": "string",
    "actorEmail": "string",
    "actorRole": "string",
    "documentId": "string",
    "documentHash": "string",
    "signature": "string",
    "details": "string",
    "ipAddress": "string",
    "userAgent": "string",
    "requestId": "string",
    "signatureLevel": "SES",
    "signingMode": "PARALLEL",
    "provider": "string",
    "otpVerified": true
  }
]
GET/v1/sign/audit/process/{processId}/export

Export Process Audit

REST operation provided by AuditController. The generated parameter and DTO schemas below describe its inputs and successful response.

exportProcessAudit
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
"binary-data"
GET/v1/sign/audit/process/{processId}/history/export

Export Process History

REST operation provided by AuditController. The generated parameter and DTO schemas below describe its inputs and successful response.

exportProcessHistory
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
"binary-data"
GET/v1/sign/memberships

Get All Memberships

REST operation provided by MembershipController. The generated parameter and DTO schemas below describe its inputs and successful response.

getAllMemberships
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
[
  {
    "id": "string",
    "ownerUserId": "string",
    "ownerBillingPlan": "FREE",
    "ownerConversationBillingPlan": "FREE",
    "ownerEmail": "string",
    "ownerOrganisationName": "string",
    "ownerOrganisationAvatar": "string",
    "inviteeUserId": "string",
    "inviteeEmail": "string",
    "inviteeOrganisationName": "string",
    "inviteeOrganisationAvatar": "string",
    "admin": true,
    "membershipStatus": "INVITED",
    "invitationExpiresAt": "2026-09-04T00:00:00Z"
  }
]
POST/v1/sign/memberships

Create Membership

REST operation provided by MembershipController. The generated parameter and DTO schemas below describe its inputs and successful response.

createMembership
Input JSON (application/json)
{
  "inviteeUserId": "string",
  "inviteeEmail": "string",
  "admin": true
}
Output JSON
Status 200 - OK
{
  "id": "string",
  "ownerUserId": "string",
  "ownerBillingPlan": "FREE",
  "ownerConversationBillingPlan": "FREE",
  "ownerEmail": "string",
  "ownerOrganisationName": "string",
  "ownerOrganisationAvatar": "string",
  "inviteeUserId": "string",
  "inviteeEmail": "string",
  "inviteeOrganisationName": "string",
  "inviteeOrganisationAvatar": "string",
  "admin": true,
  "membershipStatus": "INVITED",
  "invitationExpiresAt": "2026-09-04T00:00:00Z"
}
GET/v1/sign/memberships/{membershipId}

Get Membership By Id

REST operation provided by MembershipController. The generated parameter and DTO schemas below describe its inputs and successful response.

getMembershipById
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "id": "string",
  "ownerUserId": "string",
  "ownerBillingPlan": "FREE",
  "ownerConversationBillingPlan": "FREE",
  "ownerEmail": "string",
  "ownerOrganisationName": "string",
  "ownerOrganisationAvatar": "string",
  "inviteeUserId": "string",
  "inviteeEmail": "string",
  "inviteeOrganisationName": "string",
  "inviteeOrganisationAvatar": "string",
  "admin": true,
  "membershipStatus": "INVITED",
  "invitationExpiresAt": "2026-09-04T00:00:00Z"
}
DELETE/v1/sign/memberships/{membershipId}

Leave Membership

REST operation provided by MembershipController. The generated parameter and DTO schemas below describe its inputs and successful response.

leaveMembership
Input JSON
No JSON request body for this operation.
Output JSON
Status 204 - The operation completed successfully; no response body is returned.
null
POST/v1/sign/memberships/{membershipId}/accept

Accept Membership Invitation

REST operation provided by MembershipController. The generated parameter and DTO schemas below describe its inputs and successful response.

acceptMembershipInvitation
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "id": "string",
  "ownerUserId": "string",
  "ownerBillingPlan": "FREE",
  "ownerConversationBillingPlan": "FREE",
  "ownerEmail": "string",
  "ownerOrganisationName": "string",
  "ownerOrganisationAvatar": "string",
  "inviteeUserId": "string",
  "inviteeEmail": "string",
  "inviteeOrganisationName": "string",
  "inviteeOrganisationAvatar": "string",
  "admin": true,
  "membershipStatus": "INVITED",
  "invitationExpiresAt": "2026-09-04T00:00:00Z"
}
POST/v1/sign/memberships/{membershipId}/decline

Decline Membership Invitation

REST operation provided by MembershipController. The generated parameter and DTO schemas below describe its inputs and successful response.

declineMembershipInvitation
Input JSON
No JSON request body for this operation.
Output JSON
Status 204 - The operation completed successfully; no response body is returned.
null
PATCH/v1/sign/memberships/{membershipId}/role

Change Membership Role

REST operation provided by MembershipController. The generated parameter and DTO schemas below describe its inputs and successful response.

changeMembershipRole
Input JSON (application/json)
{
  "admin": true
}
Output JSON
Status 200 - OK
{
  "id": "string",
  "ownerUserId": "string",
  "ownerBillingPlan": "FREE",
  "ownerConversationBillingPlan": "FREE",
  "ownerEmail": "string",
  "ownerOrganisationName": "string",
  "ownerOrganisationAvatar": "string",
  "inviteeUserId": "string",
  "inviteeEmail": "string",
  "inviteeOrganisationName": "string",
  "inviteeOrganisationAvatar": "string",
  "admin": true,
  "membershipStatus": "INVITED",
  "invitationExpiresAt": "2026-09-04T00:00:00Z"
}
GET/v1/sign/notifications

List Notifications

REST operation provided by NotificationController. The generated parameter and DTO schemas below describe its inputs and successful response.

listNotifications
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "items": [
    {
      "id": "string",
      "type": "process.invited",
      "name": "string",
      "title": "string",
      "message": "string",
      "link": "string",
      "read": true,
      "createdAt": "2026-09-04T00:00:00Z",
      "readAt": "2026-09-04T00:00:00Z",
      "metadata": {
        "key": "string"
      }
    }
  ],
  "nextCursor": "string"
}
DELETE/v1/sign/notifications/{id}

Delete Notification

REST operation provided by NotificationController. The generated parameter and DTO schemas below describe its inputs and successful response.

deleteNotification
Input JSON
No JSON request body for this operation.
Output JSON
Status 204 - The operation completed successfully; no response body is returned.
null
POST/v1/sign/notifications/{id}/read

Mark Read

REST operation provided by NotificationController. The generated parameter and DTO schemas below describe its inputs and successful response.

markRead
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "id": "string",
  "type": "process.invited",
  "name": "string",
  "title": "string",
  "message": "string",
  "link": "string",
  "read": true,
  "createdAt": "2026-09-04T00:00:00Z",
  "readAt": "2026-09-04T00:00:00Z",
  "metadata": {
    "key": "string"
  }
}
POST/v1/sign/notifications/{id}/unread

Mark Unread

REST operation provided by NotificationController. The generated parameter and DTO schemas below describe its inputs and successful response.

markUnread
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "id": "string",
  "type": "process.invited",
  "name": "string",
  "title": "string",
  "message": "string",
  "link": "string",
  "read": true,
  "createdAt": "2026-09-04T00:00:00Z",
  "readAt": "2026-09-04T00:00:00Z",
  "metadata": {
    "key": "string"
  }
}
POST/v1/sign/notifications/clear-read

Clear Read

REST operation provided by NotificationController. The generated parameter and DTO schemas below describe its inputs and successful response.

clearRead
Input JSON
No JSON request body for this operation.
Output JSON
Status 204 - The operation completed successfully; no response body is returned.
null
POST/v1/sign/notifications/push/devices

Register Push Device

REST operation provided by NotificationController. The generated parameter and DTO schemas below describe its inputs and successful response.

registerPushDevice
Input JSON (application/json)
{
  "deviceId": "string",
  "token": "string",
  "platform": "android",
  "appTarget": "string"
}
Output JSON
Status 204 - The operation completed successfully; no response body is returned.
null
DELETE/v1/sign/notifications/push/devices/{deviceId}

Unregister Push Device

REST operation provided by NotificationController. The generated parameter and DTO schemas below describe its inputs and successful response.

unregisterPushDevice
Input JSON
No JSON request body for this operation.
Output JSON
Status 204 - The operation completed successfully; no response body is returned.
null
POST/v1/sign/notifications/read-all

Mark All Read

REST operation provided by NotificationController. The generated parameter and DTO schemas below describe its inputs and successful response.

markAllRead
Input JSON
No JSON request body for this operation.
Output JSON
Status 204 - The operation completed successfully; no response body is returned.
null
GET/v1/sign/notifications/unread-count

Unread Count

REST operation provided by NotificationController. The generated parameter and DTO schemas below describe its inputs and successful response.

unreadCount
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "unreadCount": 0
}
GET/v1/sign/profile

Get Profile

REST operation provided by ProfileController. The generated parameter and DTO schemas below describe its inputs and successful response.

getProfile
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "id": "string",
  "organisationName": "string",
  "firstName": "string",
  "lastName": "string",
  "email": "string",
  "mobileNumber": "string",
  "billingPlan": "FREE",
  "signBillingPlan": "FREE",
  "conversationBillingPlan": "FREE",
  "collectionsBillingPlan": "FREE",
  "avatar": "string",
  "presenceStatus": "ACTIVE",
  "status": "AVAILABLE",
  "encryptedPrivateKey": "string",
  "organisationCredits": 0,
  "testUser": true,
  "renewsAt": "2026-09-04T00:00:00Z",
  "signRenewsAt": "2026-09-04T00:00:00Z",
  "conversationRenewsAt": "2026-09-04T00:00:00Z",
  "collectionsRenewsAt": "2026-09-04T00:00:00Z",
  "pendingDowngradeAt": "2026-09-04T00:00:00Z",
  "pendingDowngradePlan": "FREE",
  "signPendingDowngradeAt": "2026-09-04T00:00:00Z",
  "signPendingDowngradePlan": "FREE",
  "conversationPendingDowngradeAt": "2026-09-04T00:00:00Z",
  "conversationPendingDowngradePlan": "FREE",
  "collectionsPendingDowngradeAt": "2026-09-04T00:00:00Z",
  "collectionsPendingDowngradePlan": "FREE",
  "signPendingAddonReductionAt": "2026-09-04T00:00:00Z",
  "signPendingAddonReductions": {
    "key": 0
  },
  "hasBillingCustomer": true,
  "billingCurrency": "string"
}
PUT/v1/sign/profile

Update Profile

REST operation provided by ProfileController. The generated parameter and DTO schemas below describe its inputs and successful response.

updateProfile
Input JSON (application/json)
{
  "firstName": "string",
  "lastName": "string",
  "organisationName": "string",
  "avatar": "string",
  "mobileNumber": "string",
  "status": "AVAILABLE"
}
Output JSON
Status 200 - OK
{
  "id": "string",
  "organisationName": "string",
  "firstName": "string",
  "lastName": "string",
  "email": "string",
  "mobileNumber": "string",
  "billingPlan": "FREE",
  "signBillingPlan": "FREE",
  "conversationBillingPlan": "FREE",
  "collectionsBillingPlan": "FREE",
  "avatar": "string",
  "presenceStatus": "ACTIVE",
  "status": "AVAILABLE",
  "encryptedPrivateKey": "string",
  "organisationCredits": 0,
  "testUser": true,
  "renewsAt": "2026-09-04T00:00:00Z",
  "signRenewsAt": "2026-09-04T00:00:00Z",
  "conversationRenewsAt": "2026-09-04T00:00:00Z",
  "collectionsRenewsAt": "2026-09-04T00:00:00Z",
  "pendingDowngradeAt": "2026-09-04T00:00:00Z",
  "pendingDowngradePlan": "FREE",
  "signPendingDowngradeAt": "2026-09-04T00:00:00Z",
  "signPendingDowngradePlan": "FREE",
  "conversationPendingDowngradeAt": "2026-09-04T00:00:00Z",
  "conversationPendingDowngradePlan": "FREE",
  "collectionsPendingDowngradeAt": "2026-09-04T00:00:00Z",
  "collectionsPendingDowngradePlan": "FREE",
  "signPendingAddonReductionAt": "2026-09-04T00:00:00Z",
  "signPendingAddonReductions": {
    "key": 0
  },
  "hasBillingCustomer": true,
  "billingCurrency": "string"
}
DELETE/v1/sign/profile

Delete Account

REST operation provided by ProfileController. The generated parameter and DTO schemas below describe its inputs and successful response.

deleteAccount
Input JSON
No JSON request body for this operation.
Output JSON
Status 204 - The operation completed successfully; no response body is returned.
null
GET/v1/sign/profile/apikeys

List Api Keys

REST operation provided by ProfileController. The generated parameter and DTO schemas below describe its inputs and successful response.

listApiKeys
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
[
  {
    "id": "string",
    "name": "string",
    "createdAt": "2026-09-04T00:00:00Z",
    "keyPreview": "string"
  }
]
POST/v1/sign/profile/apikeys

Create Api Key

REST operation provided by ProfileController. The generated parameter and DTO schemas below describe its inputs and successful response.

createApiKey
Input JSON (application/json)
{
  "name": "string"
}
Output JSON
Status 200 - OK
{
  "id": "string",
  "name": "string",
  "userId": "string",
  "apiKey": "string",
  "createdAt": "2026-09-04T00:00:00Z"
}
DELETE/v1/sign/profile/apikeys/{apiKeyId}

Delete Api Key

REST operation provided by ProfileController. The generated parameter and DTO schemas below describe its inputs and successful response.

deleteApiKey
Input JSON
No JSON request body for this operation.
Output JSON
Status 204 - The operation completed successfully; no response body is returned.
null
POST/v1/sign/profile/billing-portal

Start Billing Portal

REST operation provided by ProfileController. The generated parameter and DTO schemas below describe its inputs and successful response.

startBillingPortal
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "key": "string"
}
GET/v1/sign/profile/billing-usage-summary

Get Billing Usage Summary

REST operation provided by ProfileController. The generated parameter and DTO schemas below describe its inputs and successful response.

getBillingUsageSummary
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "generatedAt": "2026-09-04T00:00:00Z",
  "periodLabel": "string",
  "sign": {
    "key": "string",
    "title": "string",
    "description": "string",
    "metrics": [
      {
        "key": "string",
        "label": "string",
        "used": 0,
        "limit": 0,
        "unit": "string",
        "note": "string"
      }
    ]
  },
  "team": null,
  "conversations": null,
  "collections": null,
  "activeAddOns": [
    {
      "lookupKey": "string",
      "quantity": 0
    }
  ]
}
POST/v1/sign/profile/cancel-scheduled-change

Cancel Scheduled Change

REST operation provided by ProfileController. The generated parameter and DTO schemas below describe its inputs and successful response.

cancelScheduledChange
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "message": "string"
}
POST/v1/sign/profile/checkout

Start Checkout

REST operation provided by ProfileController. The generated parameter and DTO schemas below describe its inputs and successful response.

startCheckout
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "key": "string"
}
GET/v1/sign/profile/credit-usage

List Credit Usage

REST operation provided by ProfileController. The generated parameter and DTO schemas below describe its inputs and successful response.

listCreditUsage
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "items": [
    {
      "id": "string",
      "ownerUserId": "string",
      "ownerOrganisationName": "string",
      "actorUserId": "string",
      "actorEmail": "string",
      "actorDisplayName": "string",
      "billingModule": "string",
      "resourceType": "string",
      "resourceId": "string",
      "resourceName": "string",
      "signingProcessId": "string",
      "signingProcessName": "string",
      "processStatus": "DRAFT",
      "signatureLevel": "SES",
      "signatureCount": 0,
      "creditsUsed": 0,
      "creditsBefore": 0,
      "creditsAfter": 0,
      "actionType": "string",
      "reason": "string",
      "createdAt": "2026-09-04T00:00:00Z"
    }
  ],
  "totalElements": 0,
  "page": 0,
  "size": 0,
  "totalPages": 0,
  "hasNext": true,
  "hasPrevious": true
}
GET/v1/sign/profile/devices

List Trusted Devices

REST operation provided by ProfileController. The generated parameter and DTO schemas below describe its inputs and successful response.

listTrustedDevices
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
[
  {
    "deviceId": "string",
    "deviceName": "string",
    "userAgent": "string",
    "lastIp": "string",
    "lastRegion": "string",
    "createdAt": "2026-09-04T00:00:00Z",
    "lastSeenAt": "2026-09-04T00:00:00Z",
    "revoked": true,
    "revokedAt": "2026-09-04T00:00:00Z",
    "current": true
  }
]
POST/v1/sign/profile/devices/register

Register Trusted Device

REST operation provided by ProfileController. The generated parameter and DTO schemas below describe its inputs and successful response.

registerTrustedDevice
Input JSON (application/json)
{
  "deviceId": "string",
  "deviceName": "string",
  "region": "string"
}
Output JSON
Status 200 - OK
{
  "deviceId": "string",
  "deviceName": "string",
  "userAgent": "string",
  "lastIp": "string",
  "lastRegion": "string",
  "createdAt": "2026-09-04T00:00:00Z",
  "lastSeenAt": "2026-09-04T00:00:00Z",
  "revoked": true,
  "revokedAt": "2026-09-04T00:00:00Z",
  "current": true
}
POST/v1/sign/profile/devices/revoke

Revoke Trusted Device

REST operation provided by ProfileController. The generated parameter and DTO schemas below describe its inputs and successful response.

revokeTrustedDevice
Input JSON (application/json)
{
  "deviceId": "string"
}
Output JSON
Status 200 - OK
{
  "message": "string"
}
POST/v1/sign/profile/devices/revoke-others

Revoke Other Trusted Devices

REST operation provided by ProfileController. The generated parameter and DTO schemas below describe its inputs and successful response.

revokeOtherTrustedDevices
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "message": "string"
}
POST/v1/sign/profile/downgrade-to-free

Downgrade To Free

REST operation provided by ProfileController. The generated parameter and DTO schemas below describe its inputs and successful response.

downgradeToFree
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "message": "string"
}
GET/v1/sign/profile/keys

Get User Keys

REST operation provided by ProfileController. The generated parameter and DTO schemas below describe its inputs and successful response.

getUserKeys
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "publicKey": {
    "kty": "string",
    "n": "string",
    "e": "string",
    "alg": "string",
    "use": "string",
    "kid": "string"
  },
  "encryptedPrivateKey": "string"
}
PUT/v1/sign/profile/keys

Update User Keys

REST operation provided by ProfileController. The generated parameter and DTO schemas below describe its inputs and successful response.

updateUserKeys
Input JSON (application/json)
{
  "publicKey": {
    "kty": "string",
    "n": "string",
    "e": "string",
    "alg": "string",
    "use": "string",
    "kid": "string"
  },
  "encryptedPrivateKey": "string"
}
Output JSON
Status 204 - The operation completed successfully; no response body is returned.
null
POST/v1/sign/profile/logout-other-devices

Logout Other Devices

REST operation provided by ProfileController. The generated parameter and DTO schemas below describe its inputs and successful response.

logoutOtherDevices
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "message": "string"
}
GET/v1/sign/profile/public

Get Public Profile By Email

REST operation provided by ProfileController. The generated parameter and DTO schemas below describe its inputs and successful response.

getPublicProfileByEmail
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "id": "string",
  "organisationName": "string",
  "firstName": "string",
  "lastName": "string",
  "email": "string",
  "avatar": "string",
  "presenceStatus": "ACTIVE",
  "status": "AVAILABLE",
  "publicKey": {
    "kty": "string",
    "n": "string",
    "e": "string",
    "alg": "string",
    "use": "string",
    "kid": "string"
  }
}
GET/v1/sign/profile/public/{profileId}

Get Public Profile By Id

REST operation provided by ProfileController. The generated parameter and DTO schemas below describe its inputs and successful response.

getPublicProfileById
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "id": "string",
  "organisationName": "string",
  "firstName": "string",
  "lastName": "string",
  "email": "string",
  "avatar": "string",
  "presenceStatus": "ACTIVE",
  "status": "AVAILABLE",
  "publicKey": {
    "kty": "string",
    "n": "string",
    "e": "string",
    "alg": "string",
    "use": "string",
    "kid": "string"
  }
}
GET/v1/sign/profile/public/search

Search Public Profiles

REST operation provided by ProfileController. The generated parameter and DTO schemas below describe its inputs and successful response.

searchPublicProfiles
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
[
  {
    "id": "string",
    "organisationName": "string",
    "firstName": "string",
    "lastName": "string",
    "email": "string",
    "avatar": "string",
    "presenceStatus": "ACTIVE",
    "status": "AVAILABLE",
    "publicKey": {
      "kty": "string",
      "n": "string",
      "e": "string",
      "alg": "string",
      "use": "string",
      "kid": "string"
    }
  }
]
POST/v1/sign/profile/schedule-downgrade

Schedule Plan Downgrade

REST operation provided by ProfileController. The generated parameter and DTO schemas below describe its inputs and successful response.

schedulePlanDowngrade
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "message": "string"
}
GET/v1/sign/profile/subscription-items

List Subscription Items

REST operation provided by ProfileController. The generated parameter and DTO schemas below describe its inputs and successful response.

listSubscriptionItems
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
[
  {
    "lookupKey": "string",
    "quantity": 0
  }
]
POST/v1/sign/profile/subscription-items

Add Or Increment Subscription Item

REST operation provided by ProfileController. The generated parameter and DTO schemas below describe its inputs and successful response.

addOrIncrementSubscriptionItem
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "message": "string"
}
DELETE/v1/sign/profile/subscription-items

Remove Subscription Item

REST operation provided by ProfileController. The generated parameter and DTO schemas below describe its inputs and successful response.

removeSubscriptionItem
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "message": "string"
}
GET/v1/sign/signature-cards

List

REST operation provided by SignatureCardController. The generated parameter and DTO schemas below describe its inputs and successful response.

list
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
[
  {
    "id": "string",
    "userId": "string",
    "name": "string",
    "image": "string",
    "text1": "string",
    "text2": "string",
    "showDate": true,
    "signatureStandard": true,
    "isDefault": true,
    "claimLabel": true
  }
]
POST/v1/sign/signature-cards

Create

REST operation provided by SignatureCardController. The generated parameter and DTO schemas below describe its inputs and successful response.

create
Input JSON (application/json)
{
  "id": "string",
  "userId": "string",
  "name": "string",
  "image": "string",
  "text1": "string",
  "text2": "string",
  "showDate": true,
  "signatureStandard": true,
  "isDefault": true,
  "claimLabel": true
}
Output JSON
Status 200 - OK
{
  "id": "string",
  "userId": "string",
  "name": "string",
  "image": "string",
  "text1": "string",
  "text2": "string",
  "showDate": true,
  "signatureStandard": true,
  "isDefault": true,
  "claimLabel": true
}
GET/v1/sign/signature-cards/{id}

Get

REST operation provided by SignatureCardController. The generated parameter and DTO schemas below describe its inputs and successful response.

get
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "id": "string",
  "userId": "string",
  "name": "string",
  "image": "string",
  "text1": "string",
  "text2": "string",
  "showDate": true,
  "signatureStandard": true,
  "isDefault": true,
  "claimLabel": true
}
PUT/v1/sign/signature-cards/{id}

Update

REST operation provided by SignatureCardController. The generated parameter and DTO schemas below describe its inputs and successful response.

update
Input JSON (application/json)
{
  "id": "string",
  "userId": "string",
  "name": "string",
  "image": "string",
  "text1": "string",
  "text2": "string",
  "showDate": true,
  "signatureStandard": true,
  "isDefault": true,
  "claimLabel": true
}
Output JSON
Status 200 - OK
{
  "id": "string",
  "userId": "string",
  "name": "string",
  "image": "string",
  "text1": "string",
  "text2": "string",
  "showDate": true,
  "signatureStandard": true,
  "isDefault": true,
  "claimLabel": true
}
DELETE/v1/sign/signature-cards/{id}

Delete

REST operation provided by SignatureCardController. The generated parameter and DTO schemas below describe its inputs and successful response.

delete
Input JSON
No JSON request body for this operation.
Output JSON
Status 204 - The operation completed successfully; no response body is returned.
null
POST/v1/sign/signature-cards/{id}/default

Set Default

REST operation provided by SignatureCardController. The generated parameter and DTO schemas below describe its inputs and successful response.

setDefault
Input JSON
No JSON request body for this operation.
Output JSON
Status 204 - The operation completed successfully; no response body is returned.
null
GET/v1/sign/signature-cards/default

Get Default

REST operation provided by SignatureCardController. The generated parameter and DTO schemas below describe its inputs and successful response.

getDefault
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "id": "string",
  "userId": "string",
  "name": "string",
  "image": "string",
  "text1": "string",
  "text2": "string",
  "showDate": true,
  "signatureStandard": true,
  "isDefault": true,
  "claimLabel": true
}
GET/v1/sign/signatures

Get Signatures

REST operation provided by SignatureManagementController. The generated parameter and DTO schemas below describe its inputs and successful response.

getSignatures
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
[
  {
    "id": "string",
    "base64": "string",
    "isDefault": true
  }
]
POST/v1/sign/signatures

Add Signature

REST operation provided by SignatureManagementController. The generated parameter and DTO schemas below describe its inputs and successful response.

addSignature
Input JSON (application/json)
{
  "base64": "string"
}
Output JSON
Status 200 - OK
{
  "id": "string",
  "base64": "string",
  "isDefault": true
}
DELETE/v1/sign/signatures/{signatureId}

Delete Signature

REST operation provided by SignatureManagementController. The generated parameter and DTO schemas below describe its inputs and successful response.

deleteSignature
Input JSON
No JSON request body for this operation.
Output JSON
Status 204 - The operation completed successfully; no response body is returned.
null
PUT/v1/sign/signatures/{signatureId}/default

Set Default Signature

REST operation provided by SignatureManagementController. The generated parameter and DTO schemas below describe its inputs and successful response.

setDefaultSignature
Input JSON
No JSON request body for this operation.
Output JSON
Status 204 - The operation completed successfully; no response body is returned.
null
GET/v1/sign/signatures/default

Get Default Signature

REST operation provided by SignatureManagementController. The generated parameter and DTO schemas below describe its inputs and successful response.

getDefaultSignature
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "id": "string",
  "base64": "string",
  "isDefault": true
}
POST/v1/sign/signing-hash/request

Sign Hash

REST operation provided by SigningController. The generated parameter and DTO schemas below describe its inputs and successful response.

signHash
Input JSON (application/json)
{
  "pdfHash": "string",
  "signatureLevel": "SES"
}
Output JSON
Status 200 - OK
{
  "processStatus": "DRAFT",
  "consentURL": "string",
  "smsOTPId": "string",
  "otpDetail": {
    "maskedPhone": "string",
    "expiresAt": "2026-09-04T00:00:00Z",
    "transactionCode": "string"
  },
  "signedHashes": [
    {
      "documentId": "string",
      "pdfHash": "string"
    }
  ]
}
GET/v1/sign/signing-process

List Signing Processes

REST operation provided by SigningProcessController. The generated parameter and DTO schemas below describe its inputs and successful response.

listSigningProcesses
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
[
  {
    "id": "string",
    "name": "string",
    "desc": "string",
    "ownerUserId": "string",
    "processStatus": "DRAFT",
    "version": 0,
    "signatureLevel": "SES",
    "signingMode": "PARALLEL",
    "signingAssistanceMode": "REQUIRED_ONLY",
    "message": "string",
    "salt": "string",
    "createdAt": "2026-09-04T00:00:00Z",
    "invitationExpiresAt": "2026-09-04T00:00:00Z",
    "signers": [
      {
        "id": "string",
        "email": "string",
        "completed": true,
        "formFields": [
          {
            "documentId": "string",
            "x": 0,
            "y": 0,
            "w": 0,
            "h": 0,
            "page": 0,
            "type": "CHECK",
            "readOnly": true,
            "textProps": {
              "value": "string",
              "fontSize": 0,
              "fontFamily": "string",
              "textAlign": "left",
              "multiline": true,
              "required": true,
              "color": "string",
              "bold": true,
              "italic": true,
              "underline": true
            },
            "checkProps": {
              "state": "UNCHECKED",
              "required": true,
              "color": "string"
            },
            "signatureProps": {
              "required": true,
              "placeHolder": "string"
            },
            "dropdownProps": {
              "options": [
                "string"
              ],
              "value": "string",
              "required": true
            },
            "dateProps": {
              "value": "string",
              "required": true
            }
          }
        ],
        "guestName": "string",
        "host": true
      }
    ],
    "observers": [
      {
        "email": "string",
        "completed": true
      }
    ],
    "reviewers": [
      {
        "email": "string",
        "completed": true
      }
    ],
    "participantsOrder": [
      "string"
    ],
    "documents": [
      {
        "id": "string",
        "encryptedFile": "string",
        "encryptedFilename": "string",
        "iv": "string",
        "formFields": [
          null
        ]
      }
    ],
    "isOwner": true,
    "archivedForCurrentUser": true,
    "humanReadableId": "string"
  }
]
POST/v1/sign/signing-process

Create Signing Process

REST operation provided by SigningProcessController. The generated parameter and DTO schemas below describe its inputs and successful response.

createSigningProcess
Input JSON (application/json)
{
  "ownerUserId": "string",
  "name": "string",
  "desc": "string",
  "processStatus": "DRAFT",
  "signingMode": "PARALLEL",
  "signingAssistanceMode": "REQUIRED_ONLY",
  "signatureLevel": "SES",
  "message": "string",
  "salt": "string",
  "signers": [
    {
      "id": "string",
      "email": "string",
      "completed": true,
      "formFields": [
        {
          "documentId": "string",
          "x": 0,
          "y": 0,
          "w": 0,
          "h": 0,
          "page": 0,
          "type": "CHECK",
          "readOnly": true,
          "textProps": {
            "value": "string",
            "fontSize": 0,
            "fontFamily": "string",
            "textAlign": "left",
            "multiline": true,
            "required": true,
            "color": "string",
            "bold": true,
            "italic": true,
            "underline": true
          },
          "checkProps": {
            "state": "UNCHECKED",
            "required": true,
            "color": "string"
          },
          "signatureProps": {
            "required": true,
            "placeHolder": "string"
          },
          "dropdownProps": {
            "options": [
              "string"
            ],
            "value": "string",
            "required": true
          },
          "dateProps": {
            "value": "string",
            "required": true
          }
        }
      ],
      "guestName": "string",
      "host": true
    }
  ],
  "observers": [
    {
      "email": "string",
      "completed": true
    }
  ],
  "reviewers": [
    {
      "email": "string",
      "completed": true
    }
  ],
  "participantsOrder": [
    "string"
  ],
  "documents": [
    {
      "id": "string",
      "encryptedFileId": "string",
      "encryptedFilename": "string",
      "iv": "string"
    }
  ]
}
Output JSON
Status 200 - OK
{
  "signingProcessId": "string",
  "name": "string",
  "desc": "string",
  "processStatus": "DRAFT",
  "message": "string",
  "createdAt": "2026-09-04T00:00:00Z",
  "humanReadableId": "string"
}
GET/v1/sign/signing-process-templates

List Templates

REST operation provided by SigningProcessTemplateController. The generated parameter and DTO schemas below describe its inputs and successful response.

listTemplates
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
[
  {
    "id": "string",
    "ownerUserId": "string",
    "name": "string",
    "desc": "string",
    "message": "string",
    "signatureLevel": "SES",
    "signingMode": "PARALLEL",
    "signingAssistanceMode": "REQUIRED_ONLY",
    "salt": "string",
    "signers": [
      {
        "id": "string",
        "email": "string",
        "completed": true,
        "formFields": [
          {
            "documentId": "string",
            "x": 0,
            "y": 0,
            "w": 0,
            "h": 0,
            "page": 0,
            "type": "CHECK",
            "readOnly": true,
            "textProps": {
              "value": "string",
              "fontSize": 0,
              "fontFamily": "string",
              "textAlign": "left",
              "multiline": true,
              "required": true,
              "color": "string",
              "bold": true,
              "italic": true,
              "underline": true
            },
            "checkProps": {
              "state": "UNCHECKED",
              "required": true,
              "color": "string"
            },
            "signatureProps": {
              "required": true,
              "placeHolder": "string"
            },
            "dropdownProps": {
              "options": [
                "string"
              ],
              "value": "string",
              "required": true
            },
            "dateProps": {
              "value": "string",
              "required": true
            }
          }
        ],
        "guestName": "string",
        "host": true
      }
    ],
    "observers": [
      {
        "email": "string",
        "completed": true
      }
    ],
    "documents": [
      {
        "id": "string",
        "encryptedFile": "string",
        "encryptedFilename": "string",
        "iv": "string",
        "formFields": [
          null
        ]
      }
    ]
  }
]
POST/v1/sign/signing-process-templates

Create Template

REST operation provided by SigningProcessTemplateController. The generated parameter and DTO schemas below describe its inputs and successful response.

createTemplate_1
Input JSON (application/json)
{
  "name": "string",
  "desc": "string",
  "message": "string",
  "signatureLevel": "SES",
  "signingMode": "PARALLEL",
  "signingAssistanceMode": "REQUIRED_ONLY",
  "salt": "string",
  "signers": [
    {
      "id": "string",
      "email": "string",
      "completed": true,
      "formFields": [
        {
          "documentId": "string",
          "x": 0,
          "y": 0,
          "w": 0,
          "h": 0,
          "page": 0,
          "type": "CHECK",
          "readOnly": true,
          "textProps": {
            "value": "string",
            "fontSize": 0,
            "fontFamily": "string",
            "textAlign": "left",
            "multiline": true,
            "required": true,
            "color": "string",
            "bold": true,
            "italic": true,
            "underline": true
          },
          "checkProps": {
            "state": "UNCHECKED",
            "required": true,
            "color": "string"
          },
          "signatureProps": {
            "required": true,
            "placeHolder": "string"
          },
          "dropdownProps": {
            "options": [
              "string"
            ],
            "value": "string",
            "required": true
          },
          "dateProps": {
            "value": "string",
            "required": true
          }
        }
      ],
      "guestName": "string",
      "host": true
    }
  ],
  "observers": [
    {
      "email": "string",
      "completed": true
    }
  ],
  "documents": [
    {
      "id": "string",
      "encryptedFileId": "string",
      "encryptedFilename": "string",
      "iv": "string"
    }
  ]
}
Output JSON
Status 200 - OK
{
  "id": "string",
  "ownerUserId": "string",
  "name": "string",
  "desc": "string",
  "message": "string",
  "signatureLevel": "SES",
  "signingMode": "PARALLEL",
  "signingAssistanceMode": "REQUIRED_ONLY",
  "salt": "string",
  "signers": [
    {
      "id": "string",
      "email": "string",
      "completed": true,
      "formFields": [
        {
          "documentId": "string",
          "x": 0,
          "y": 0,
          "w": 0,
          "h": 0,
          "page": 0,
          "type": "CHECK",
          "readOnly": true,
          "textProps": {
            "value": "string",
            "fontSize": 0,
            "fontFamily": "string",
            "textAlign": "left",
            "multiline": true,
            "required": true,
            "color": "string",
            "bold": true,
            "italic": true,
            "underline": true
          },
          "checkProps": {
            "state": "UNCHECKED",
            "required": true,
            "color": "string"
          },
          "signatureProps": {
            "required": true,
            "placeHolder": "string"
          },
          "dropdownProps": {
            "options": [
              "string"
            ],
            "value": "string",
            "required": true
          },
          "dateProps": {
            "value": "string",
            "required": true
          }
        }
      ],
      "guestName": "string",
      "host": true
    }
  ],
  "observers": [
    {
      "email": "string",
      "completed": true
    }
  ],
  "documents": [
    {
      "id": "string",
      "encryptedFile": "string",
      "encryptedFilename": "string",
      "iv": "string",
      "formFields": [
        null
      ]
    }
  ]
}
GET/v1/sign/signing-process-templates/{id}

Get Template

REST operation provided by SigningProcessTemplateController. The generated parameter and DTO schemas below describe its inputs and successful response.

getTemplate
Input JSON
No JSON request body for this operation.
Output JSON
Status 200 - OK
{
  "id": "string",
  "ownerUserId": "string",
  "name": "string",
  "desc": "string",
  "message": "string",
  "signatureLevel": "SES",
  "signingMode": "PARALLEL",
  "signingAssistanceMode": "REQUIRED_ONLY",
  "salt": "string",
  "signers": [
    {
      "id": "string",
      "email": "string",
      "completed": true,
      "formFields": [
        {
          "documentId": "string",
          "x": 0,
          "y": 0,
          "w": 0,
          "h": 0,
          "page": 0,
          "type": "CHECK",
          "readOnly": true,
          "textProps": {
            "value": "string",
            "fontSize": 0,
            "fontFamily": "string",
            "textAlign": "left",
            "multiline": true,
            "required": true,
            "color": "string",
            "bold": true,
            "italic": true,
            "underline": true
          },
          "checkProps": {
            "state": "UNCHECKED",
            "required": true,
            "color": "string"
          },
          "signatureProps": {
            "required": true,
            "placeHolder": "string"
          },
          "dropdownProps": {
            "options": [
              "string"
            ],
            "value": "string",
            "required": true
          },
          "dateProps": {
            "value": "string",
            "required": true
          }
        }
      ],
      "guestName": "string",
      "host": true
    }
  ],
  "observers": [
    {
      "email": "string",
      "completed": true
    }
  ],
  "documents": [
    {
      "id": "string",
      "encryptedFile": "string",
      "encryptedFilename": "string",
      "iv": "string",
      "formFields": [
        null
      ]
    }
  ]
}
PUT/v1/sign/signing-process-templates/{id}

Update Template

REST operation provided by SigningProcessTemplateController. The generated parameter and DTO schemas below describe its inputs and successful response.

updateTemplate
Input JSON (application/json)
{
  "name": "string",
  "desc": "string",
  "message": "string",
  "signatureLevel": "SES",
  "signingMode": "PARALLEL",
  "signingAssistanceMode": "REQUIRED_ONLY",
  "salt": "string",
  "signers": [
    {
      "id": "string",
      "email": "string",
      "completed": true,
      "formFields": [
        {
          "documentId": "string",
          "x": 0,
          "y": 0,
          "w": 0,
          "h": 0,
          "page": 0,
          "type": "CHECK",
          "readOnly": true,
          "textProps": {
            "value": "string",
            "fontSize": 0,
            "fontFamily": "string",
            "textAlign": "left",
            "multiline": true,
            "required": true,
            "color": "string",
            "bold": true,
            "italic": true,
            "underline": true
          },
          "checkProps": {
[...]
